<template>
  <div class="theme-builder">
    <v-switch
      v-model="dark"
      :label="dark ? 'Dark' : 'Light'"
      @change="changeDark"
    />
  </div>
</template>

<script>
export default {
  data() {
    return {
      dark: true
    };
  },
  mounted() {
    this.dark = this.$vuetify.theme.isDark;
  },
  methods: {
    changeDark(isDark) {
      this.$vuetify.theme.isDark = isDark;
    }
  }
};
</script>

<style lang="scss" scoped>
.theme-builder {
  max-width: 750px;
}
</style>
